import { Block } from 'payload'

export const Hero: Block = {
  slug: 'Hero',
  fields: [
    {
      name: 'heading',
      type: 'text',
    },
    {
      name: 'subheading',
      type: 'text',
    },
    {
      name: 'brief',
      type: 'textarea',
    },
    {
      name: 'minHeight',
      type: 'select',
      options: [
        {
          value: '100',
          label: 'Full'
        },
        {
          value: '80',
          label: '80%'
        },
        {
          value: '60',
          label: '60%'
        },
      ]
    },
    {
      name: 'backgroundImage',
      type: 'relationship',
      relationTo: 'media',
    },
  ]
}
