import type { CollectionConfig } from 'payload'

export const Authors: CollectionConfig = {
  slug: 'authors',
  admin: {
    useAsTitle: 'lf',
    pagination: {
      limits: [10, 20, 50, 100, 250],
    }
  },
  access: {
    read: () => true,
    update: () => true,
    create: () => true,
    admin: () => true,
  },
  fields: [
    {
      name: 'lf',
      label: 'last, first name',
      type: 'text',
      required: true,
      index: true,
    },
    {
      name: 'fl',
      label: 'First and Last Name',
      type: 'text',
    },
    {
      name: "role",
      type: 'select',
      options: [
        {
          label: 'Author',
          value: 'Author'
        },
        {
          label: 'Translator',
          value: 'Translator'
        },
        {
          label: 'Editor',
          value: 'Editor'
        },
      ],
    },
    {
      name: 'books',
      type: 'join',
      collection: 'books',
      on: 'authors',
    }
  ],
}
