import { GlobalConfig } from "payload";


export const Header: GlobalConfig = {
  slug: 'header',
  label: 'Header Nav',
  fields: [
    {
      name: 'logo',
      type: 'relationship',
      relationTo: 'media',
    },
    {
      name: 'headerLinks',
      type: 'array',
      minRows: 1,
      maxRows: 5,
      fields: [
        {
          name: 'label',
          type: 'text',
        },
        {
          name: 'page',
          type: 'relationship',
          relationTo: 'pages'
        },
        {
          name: 'newTab',
          label: 'Open in new Tab?',
          type: 'checkbox',
        },
      ],
    }
  ]
}
